<?
/**
* This gateway was developed by and is copyright of Axsys Technology Group.
* Sections of code may be copyrighted to other parties (eg. where sample code was used
* from the Quantum documentation). All parts (of this gateway only)
* written by Axsys Technology Group are licensed for use in any way you wish, as long as this
* copyright message remains intact, and without any guarantee of any sort - use at your own risk.
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

function show_card_details_screen($url, $params, $cardholder_name, $message = "", $header = "", $footer = "")
{
	global $mosConfig_live_site;
	global $database;
	
	$buffer = ob_get_contents();
	if (strpos($buffer, INV_MY_ACCOUNT) !== false)
	{
		ob_clean(); //Get rid of 'My Account' title
	}
	
	$is_one_off = $params['OneOff'];
	
	if (strlen($message) > 0)
	{
		echo "<div class=\"message\">$message</div>";
	}
	?>
	<div class="billing-form-detail">
		<form action="<?php echo $url; ?>" method="POST">
			<?php
				foreach ($params as $key=>$value)
				{
					echo '<input type="hidden" name="' . $key . '" value="' . $value . '" />';
				}
				
				if (strlen($header) > 0)
				{
					echo $header;
				}
				else 
				{
					?>
						<h1><?php echo INV_QUANTUM_CC_TITLE; ?></h1>
						<p><?php echo INV_QUANTUM_CC_INTRO; ?></p>
					<?php
				}
			?>
			<div class="billing-fields">
				<table cellpadding="5" cellspacing="0" border="0">
					<tr>
						<td class="field-title" align="left" valign="top"><?php echo INV_QUANTUM_FIRST_NAME; ?></td>
						<td class="field-value" align="left" valign="top"><?php echo mosGetParam($_POST, 'INV_CORE_first_name'); ?></td>
					</tr>
					<tr>
						<td class="field-title" align="left" valign="top"><?php echo INV_QUANTUM_LAST_NAME; ?></td>
						<td class="field-value" align="left" valign="top"><?php echo mosGetParam($_POST, 'INV_CORE_last_name'); ?></td>
					</tr>
					<tr>
						<td class="field-title" align="left" valign="top"><?php echo INV_QUANTUM_ADDRESS; ?></td>
						<td class="field-value" align="left" valign="top"><?php echo mosGetParam($_POST, 'INV_CORE_address_1'); ?></td>
					</tr>
					<tr>
						<td class="field-title" align="left" valign="top"><?php echo INV_QUANTUM_TOWN; ?></td>
						<td class="field-value" align="left" valign="top"><?php echo mosGetParam($_POST, 'INV_CORE_town'); ?></td>
					</tr>
					<tr>
						<td class="field-title" align="left" valign="top"><?php echo INV_QUANTUM_STATE; ?></td>
						<td class="field-value" align="left" valign="top"><?php echo mosGetParam($_POST, 'INV_CORE_state'); ?></td>
					</tr>
					<tr>
						<td class="field-title" align="left" valign="top"><?php echo INV_QUANTUM_POSTCODE; ?></td>
						<td class="field-value" align="left" valign="top"><?php echo mosGetParam($_POST, 'INV_CORE_postcode'); ?></td>
					</tr>
					<tr>
						<td class="field-title" align="left" valign="top"><?php echo INV_QUANTUM_COUNTRY; ?></td>
						<td class="field-value" align="left" valign="top"><?php echo mosGetParam($_POST, 'INV_CORE_country'); ?></td>
					</tr>
					<tr>
						<td class="field-title" align="left" valign="top"><?php echo INV_QUANTUM_EMAIL; ?></td>
						<td class="field-value" align="left" valign="top"><?php echo mosGetParam($_POST, 'INV_CORE_email_address'); ?></td>
					</tr>
					<tr>
						<td class="field-title" align="left" valign="top">* <?php echo INV_QUANTUM_CARD_NO; ?></td>
						<td class="field-value" align="left" valign="top"><input type="text" name="ccnum" value="<?php echo mosGetParam($_POST, 'CCNumber'); ?>" /></td>
					</tr>
					<tr>
						<td class="field-title" align="left" valign="top">* <?php echo INV_QUANTUM_EXPIRY; ?></td>
						<td class="field-value" align="left" valign="top"><input type="text" name="ccmo" value="<?php echo mosGetParam($_POST, 'CCExpMonth'); ?>" size="5" maxlength="2" /> / <input type="text" name="ccyr" value="<?php echo mosGetParam($_POST, 'CCExpYear'); ?>" size="5" maxlength="2" /></td>
					</tr>
					<tr>
						<td class="field-title" align="left" valign="top"><?php echo INV_QUANTUM_CVN; ?></td>
						<td class="field-value" align="left" valign="top"><input type="text" name="CVV2" value="<?php echo mosGetParam($_POST, 'CVN'); ?>" size="7" maxlength="4" /> &nbsp;&nbsp;&nbsp;
    <input class="" type="button" value="What is a CVN?" onClick="alert('<?php echo INV_QUANTUM_CVN_HELP; ?>')" /></td>
					</tr>
					<tr>
						<td colspan="2" class="field-title" align="left" valign="top">CVV2 Type:
							<select name="CVVtype" id="CVVtype">
								<option value="9">My card has no CVV2 imprint.</option>
								<option value="1">I have entered my CVV2 above.</option>
								<option value="2">The imprint on my card is not readable.</option>
							</select></td>
					</tr>
					<tr>
						<td colspan="2"  class="field-title" align="left" valign="top"><input type="submit" name="form_submit" value="<?php echo INV_SUBMIT; ?>" /></td>
					</tr>
				</table>
			</div>
		</form>
	</div>
	<?php
}
?>
