<?php
/**
* This gateway was developed by and is copyright of Axsys Technology Group.
* Sections of code may be copyrighted to other parties (eg. where sample code was used
* from the Quantum documentation). All parts (of this gateway only)
* written by Axsys Technology Group are licensed for use in any way you wish, as long as this
* copyright message remains intact, and without any guarantee of any sort - use at your own risk.
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

//Administrator
define("INV_QUANTUM_GWLOGIN", "Login ID");
define("INV_QUANTUM_GWLOGIN_HELP", "Your Quantum Gateway login ID");
define("INV_QUANTUM_RESTRICTION_KEY", "Restriction Key");
define("INV_QUANTUM_RESTRICTION_KEY_HELP", "Restriction Key used to restrict processing in a secured manner. Note: You must have this enabled in your Quantum Gateway configuration.");
define("INV_QUANTUM_MD5HASH_VALUE_KEY", "MD5Hash-Value");
define("INV_QUANTUM_MD5HASH_VALUE_HELP", "If you specified a hashvalue to be used in composing the MD5-Hash value sent by the PSP, you must specify the Hash Value here.");
define("INV_QUANTUM_OVERRIDE_EMAIL_CUSTOMER", "Override Customer Notification Flag?");
define("INV_QUANTUM_OVERRIDE_EMAIL_CUSTOMER_HELP", "If set to Y, the customer will be sent an e-mail from the Quantum Gateway, containing a receipt (regardless of the equivalent setting in the Quantum account). If set to N, the flag set in the Quantum gateway account is not overridden and is used to make the determination as specified. This has no affect either way on any emails configured and set from nBill.");
define("INV_QUANTUM_OVERRIDE_TRANS_EMAIL", "Override Transaction Email Flag?");
define("INV_QUANTUM_OVERRIDE_TRANS_EMAIL_HELP", "If set to Y, the merchant will be sent an e-mail from the Quantum Gateway, containing a transaction notice (regardless of the equivalent setting in the Quantum account). If set to N, the flag set in the Quantum gateway account is not overridden and is used to make the determination as specified. This has no affect either way on any emails configured and set from nBill.");
define("INV_QUANTUM_OVERRIDE_RECURRING_DAY", "Override Recurring Day?");
define("INV_QUANTUM_OVERRIDE_RECURRING_DAY_HELP", "If set to Y, the recurring day for recurring transactions is overridden with the day that the transaction took place.");
define("INV_QUANTUM_COMPANY_LOGO", "URL for Merchant Logo");
define("INV_QUANTUM_COMPANY_LOGO_HELP", "This is the URL for the logo that should be used during eProcessing to display when transactions are being processed.");
define("INV_QUANTUM_BG_COLOR", "Background Color");
define("INV_QUANTUM_BG_COLOR_HELP", "The background color in HEX format.");
define("INV_QUANTUM_TXT_COLOR", "Text Color");
define("INV_QUANTUM_TXT_COLOR_HELP", "The color of the text in HEX format.");
define("INV_QUANTUM_HEADER_RECEIPT", "Receipt Header");
define("INV_QUANTUM_HEADER_RECEIPT_HELP", "Anything sent in this form field will be displayed at the top of the receipt page, right before the order summary.");
define("INV_QUANTUM_PAYMENT_HEADING", "Payment Header");
define("INV_QUANTUM_PAYMENT_HEADING_HELP", "Anything sent in this form field will be shown at the top of the checkout/payment page.");
define("INV_QUANTUM_ENABLE_MAXMIND", "Maxmind Fraud Control");
define("INV_QUANTUM_ENABLE_MAXMIND_HELP", "Enable Maxmind Fraud Control? 1 means yes, and 2 means no.");
define("INV_QUANTUM_URL", "Interactive QGWdbe Posting URL");
define("INV_QUANTUM_URL_HELP", "This is the URL that interactive transactions will post to.");
define("INV_QUANTUM_DESC", "Payment gateway for Quantum Gateway");
define("INV_QUANTUM_INSTALL_DESC", "Payment gateway for Quantum Gateway");
define("INV_QUANTUM_RETURN_URL", "Return URL");
define("INV_QUANTUM_RETURN_URL_HELP", "URL that Quantum Gateway should call back after processing payment (generally best to leave this as the default value).");

//Front end
define("INV_QUANTUM_HASH_MISMATCH", "The Hash value returned by the Quantum Gateway in the callback does not match the hash value calculated by the gateway (this could indicate a spoof callback). Please check the MD5 Hash Value is correct both in your payment gateway settings and in the merchant interface.");
define("INV_QUANTUM_PAYMENT_FREQ_NOT_SUPPORTED", "ERROR - The selected payment frequency is not supported by this payment gateway.");
define("INV_QUANTUM_SUBMIT", "Process Secure Credit Card Transaction using Quantum Gateway");
define("INV_QUANTUM_SSL_REQUIRED", "Sorry, this form must be access via SSL (https) for security reasons.");
define("INV_QUANTUM_CC_TITLE", "Secure Payment Form");
define("INV_QUANTUM_CC_INTRO", "Please verify the information below, and enter your card details. Mandatory fields are marked with an asterisk (*). Before entering your card details, make sure that your browser is displaying a padlock icon, and that the address of this web page starts with https://");
define("INV_QUANTUM_FIRST_NAME", "First Name");
define("INV_QUANTUM_LAST_NAME", "Last Name");
define("INV_QUANTUM_ADDRESS", "Address");
define("INV_QUANTUM_TOWN", "Town/City");
define("INV_QUANTUM_STATE", "State");
define("INV_QUANTUM_POSTCODE", "Postcode");
define("INV_QUANTUM_COUNTRY", "Country");
define("INV_QUANTUM_EMAIL", "E-Mail Address");
define("INV_QUANTUM_CARD_NAME", "Name on Card");
define("INV_QUANTUM_CARD_NO", "Card Number");
define("INV_QUANTUM_EXPIRY", "Expiry (mm/yy)");
define("INV_QUANTUM_CVN", "CVN Security Code");
define("INV_QUANTUM_CVN_HELP", "This is the 4 security digits on the front of your Amex card or the last 3 digits on back of Visa/MC/Discover card");

//Errors and warnings
define("INV_QUANTUM_ERR_UNKNOWN_FAILURE", "The payment does not seem to have been successful, but the reason for this could not be identified. The following response was received from the payment service provider: %s");
define("INV_QUANTUM_ERR_CHECKSUM_FAILURE", "Sorry, your payment cannot continue, as one or more of the payment values appears to have been changed (checksum does not match transaction details).");
define("INV_QUANTUM_ERR_MANDATORY_FIELDS", "Please ensure you have provided a value for all mandatory fields (marked with an asterisk *)");
define("INV_QUANTUM_WARN_UNKNOWN_FAILURE", "The initial payment was successful, but an unknown error occurred whilst attempting to set up a payment schedule for future payments. The following response was received from the payment service provider: %s");
define("INV_QUANTUM_WARN_SUB_NOT_VALID", "The initial payment was successful, but an error occurred whilst attempting to set up a payment schedule for future payments. The following error was reported by the payment service provider: %s");
?>
